Introduction
------------

The Shot Core is responsible for implementing the base `Application` class, which processes incoming web socket
connections, turning them into instances of `ApplicationInstance`. The `Application` class also is capable of
being extended through [**Loaders**](https://github.com/shot-framework/shot-core/wiki/Loaders) and 
[**Routers**](https://github.com/shot-framework/shot-core/wiki/Routers).

# Installation

```bash
gem install shot
```

# Usage Example

```ruby
require 'shot'

app = Application.new

app.run do
    app.on 'load' do |instance|
        instance.emit 'loaded' 
    end
end

app.start
```

# License

Licensed under the MIT License. For full licensing information, please see LICENSE.md.
